<p>Tako je, u pravu ste!</p>

<p>Kod minimalne distance <i>d</i> može otkriti da su nastupile pogreške samo ako je njihov broj do najviše <i>d</i>-1. Ako bismo morali konstruirati kod koji može to činiti za proizvoljno mnogo pogrešaka, kod bi morao imati minimalnu distancu &#8734; što znači da bi trebao imati i &#8734; redundantnih bitova. Ali takav kod bio bi neupotrebiv jer bi imao redundanciju 100% i nikada ne bismo završili slanje čak niti prve kodne riječi (niti bismo istu uopće mogli pohraniti u memoriju digitalnog sustava).</p>

<p>Svi zaštitni kodovi imaju svoju gornju granicu i nju specificiramo kao zaštitnu moć koda: broj pogrešaka koje isti može otkriti te broj pogrešaka koje isti može ispraviti.</p>

<p>Nemoguće je izgraditi zaštitni kod koji bi mogao otkriti odnosno ispraviti neograničeno mnogo pogrešaka. U stvarnom životu, to nam često ne predstavlja problem. U našim tehničkim sustavima uobičajena je situacija da je broj pogrešaka koje se javljaju relativno malen, a vjerojatnost pojave višestrukih pogrešaka bitno je niža od vjerojatnosti pojave manjestrukih pogrešaka. Stoga gradimo sustave koji se mogu nositi sa situacijama u kojima se javlja do nekog određenog broja pogrešaka.</p>

